#Mikulás csomagok összeállítása:
#A Mikulás csomag tartalma a következő legyen - csoki, narancs, mogyoró, virgács, kindertojás és gumicukor
#Összetevő csomagok amiből választhatok - 
#Az 1. csomag ára 5 pénzegység - narancsot és mogyorót tartalmaz. 
#A 2. csomag ára 10 pénzegység - gumicukor, mogyoró, csoki
#A 3. csomag ára 3 pénzegység - gumicukor, kinder, virgács
#A 4. csomag ára 4 pénzegység - narancs, kinder, csoki
#A 5. csomag ára 6 pénzegység - csoki, virgács
#Milyen csomagokat vegyünk az általunk összeállított Mikulás csomaghoz, úgy hogy minél kevesebb költségünkbe kerüljön?

#Megoldás:
var csomag1 binary;
var csomag2 binary;
var csomag3 binary;
var csomag4 binary;
var csomag5 binary;

s.t. csoki: csomag2 + csomag4 + csomag5 >=1;
s.t. narancs: csomag1 + csomag4 >=1;
s.t. mogyoro: csomag1 + csomag2 >=1;
s.t. virgacs: csomag3 + csomag5 >=1;
s.t. kindertojas: csomag3 + csomag4 >=1;
s.t. gumicukor: csomag2 + csomag3 >=1;

minimize koltseg: 5*csomag1 + 10*csomag2 + 3*csomag3 + 4*csomag4 + 6*csomag5;
end;